Debian Bug report logs - #648897
perl: add Breaks/Conflicts with old libjson-pp-perl affected by #648893

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Tue, 15 Nov 2011 23:15:02 UTC

Severity: critical

Found in version perl/5.14.2-3

Fixed in version perl/5.14.2-4

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#648897; Package perl. (Tue, 15 Nov 2011 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Tue, 15 Nov 2011 23:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: perl: add Breaks/Conflicts with old libjson-pp-perl affected by #648893
Date: Tue, 15 Nov 2011 23:14:25 +0000
Package: perl
Version: 5.14.2-3
Severity: critical

Fix file conflict with libjson-pp-perl.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 15 Nov 2011 23:45:06 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Wed, 16 Nov 2011 09:09:05 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Wed, 16 Nov 2011 09:09:35 GMT) Full text and rfc822 format available.

Message #12 received at 648897-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 648897-close@bugs.debian.org
Subject: Bug#648897: fixed in perl 5.14.2-4
Date: Wed, 16 Nov 2011 09:06:16 +0000
Source: perl
Source-Version: 5.14.2-4

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.14.2-4_all.deb
  to main/p/perl/libcgi-fast-perl_5.14.2-4_all.deb
libperl-dev_5.14.2-4_i386.deb
  to main/p/perl/libperl-dev_5.14.2-4_i386.deb
libperl5.14_5.14.2-4_i386.deb
  to main/p/perl/libperl5.14_5.14.2-4_i386.deb
perl-base_5.14.2-4_i386.deb
  to main/p/perl/perl-base_5.14.2-4_i386.deb
perl-debug_5.14.2-4_i386.deb
  to main/p/perl/perl-debug_5.14.2-4_i386.deb
perl-doc_5.14.2-4_all.deb
  to main/p/perl/perl-doc_5.14.2-4_all.deb
perl-modules_5.14.2-4_all.deb
  to main/p/perl/perl-modules_5.14.2-4_all.deb
perl_5.14.2-4.debian.tar.gz
  to main/p/perl/perl_5.14.2-4.debian.tar.gz
perl_5.14.2-4.dsc
  to main/p/perl/perl_5.14.2-4.dsc
perl_5.14.2-4_i386.deb
  to main/p/perl/perl_5.14.2-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648897@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Nov 2011 23:36:39 +0000
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug libperl5.14 libperl-dev perl
Architecture: source all i386
Version: 5.14.2-4
Distribution: unstable
Urgency: low
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.14 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 648897
Changes: 
 perl (5.14.2-4) unstable; urgency=low
 .
   * Add Conflicts: libjson-pp-perl (<< 2.27200-2) to perl package
     to fix file conflict with dual-lived module (Closes: #648897)
Checksums-Sha1: 
 cd56e13885962dd67a57c890faae1895a8fa6963 1680 perl_5.14.2-4.dsc
 e721d29db7d9e25062b4010ac8104fe8d2c51775 123053 perl_5.14.2-4.debian.tar.gz
 70b0040d0cb31aefb26fcb5ae85b853b6a174c9a 71958 libcgi-fast-perl_5.14.2-4_all.deb
 e1c681435844a4edb854744a569900c782146e1c 8160254 perl-doc_5.14.2-4_all.deb
 0cbffd5bed642591bac6cfbacdc0b3b83a4a7673 3437912 perl-modules_5.14.2-4_all.deb
 feece3fca702b1a7d2ef4f446de4a72d3bedcba6 1481756 perl-base_5.14.2-4_i386.deb
 3b483a1d5c3f1c8d7cda41a229c121e2ef03b77a 7757570 perl-debug_5.14.2-4_i386.deb
 c4c234f8782ef3e086348cd7570f6852a891125c 724408 libperl5.14_5.14.2-4_i386.deb
 9417a517dca8d01fc39b177b70029224470e70cc 2679298 libperl-dev_5.14.2-4_i386.deb
 d78232a6035f4c3f22476a1ffe757a8ed46c1e7a 3697168 perl_5.14.2-4_i386.deb
Checksums-Sha256: 
 c87675996bfdad4b3a0abd7104ea995ed7e49501c5af1b2980095bca41587a71 1680 perl_5.14.2-4.dsc
 8a6e1ca23c02efe750b05430b4b4482ea26c856fe07d9bc2415c47e1edff36bb 123053 perl_5.14.2-4.debian.tar.gz
 bcff041c7b2dfe10160958a0800d0bbe816588f7b7b9f72a9ef2ff39fcd9d2fb 71958 libcgi-fast-perl_5.14.2-4_all.deb
 b9ed32f92b244da16a9b4809f13c7eb888ccb3b5fb8df9d671014324f7fef25e 8160254 perl-doc_5.14.2-4_all.deb
 ac1afabfce05bbb1d66f5ccb161ebe28e92edc766ea63d2d236cb655396efe5a 3437912 perl-modules_5.14.2-4_all.deb
 0157d0fd947453093820dc23c9c88713db28f807ecf5e11b332f7ffb1d9f467b 1481756 perl-base_5.14.2-4_i386.deb
 1b3f81c76dec41eb0920140ebd4a65f61b3a04887df010cd35df09a79b039dfb 7757570 perl-debug_5.14.2-4_i386.deb
 583b8964967975d83254f9ef7779787e0075fd88a4fafc47763c4ac7e468279d 724408 libperl5.14_5.14.2-4_i386.deb
 e3296e88e3213abcd52e75fe05f2d6d81d298efbca92679146f0b14b929636bc 2679298 libperl-dev_5.14.2-4_i386.deb
 792862c98d029c4557d3bbf26b20c740b032c5a891048f7a365ead059377631b 3697168 perl_5.14.2-4_i386.deb
Files: 
 d375e70b1a64d5cc947e5752a98bb82c 1680 perl standard perl_5.14.2-4.dsc
 0199f854dea87e7ea3572c75a5384c43 123053 perl standard perl_5.14.2-4.debian.tar.gz
 6c1015cb3a6be57c341656055f1692b8 71958 perl optional libcgi-fast-perl_5.14.2-4_all.deb
 744c9a4f2fff262820a121626ae23f4e 8160254 doc optional perl-doc_5.14.2-4_all.deb
 15d5f4c01702ff8495e87cbe3599960a 3437912 perl standard perl-modules_5.14.2-4_all.deb
 680e7dd56128785daaaa8da84eda4d7f 1481756 perl required perl-base_5.14.2-4_i386.deb
 a309f141aa25f28844e8beec63216943 7757570 debug extra perl-debug_5.14.2-4_i386.deb
 4258eaeaf2be732f7916873550e5bfc8 724408 libs optional libperl5.14_5.14.2-4_i386.deb
 36f75266899bbf784e073770299e78dd 2679298 libdevel optional libperl-dev_5.14.2-4_i386.deb
 b11ec0dd6717eb41b5500eb140668fc9 3697168 perl standard perl_5.14.2-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOw3OoYzuFKFF44qURAgcPAKD2/HpKV7+tzmKWsbT95A9ibpPKkwCeIZ8y
aMGphYielBjDLd27NqG28aA=
=SEwI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Dec 2011 07:41:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:45:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.